[arch-commits] Commit in curl/trunk (PKGBUILD m4-typo.patch)

Pierre Schmitz pierre at archlinux.org
Wed Apr 7 20:26:53 UTC 2010


    Date: Wednesday, April 7, 2010 @ 16:26:53
  Author: pierre
Revision: 76122

fix typo in .m4; use cabundle instead of path (which doesn't work anymore)

Added:
  curl/trunk/m4-typo.patch
Modified:
  curl/trunk/PKGBUILD

---------------+
 PKGBUILD      |   12 +++++++-----
 m4-typo.patch |   13 +++++++++++++
 2 files changed, 20 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-04-07 19:51:42 UTC (rev 76121)
+++ PKGBUILD	2010-04-07 20:26:53 UTC (rev 76122)
@@ -4,19 +4,21 @@
 
 pkgname=curl
 pkgver=7.20.0
-pkgrel=2
+pkgrel=3
 pkgdesc="An URL retrival utility and library"
 arch=('i686' 'x86_64')
 url="http://curl.haxx.se"
 license=('MIT')
 depends=('zlib' 'openssl' 'bash' 'ca-certificates')
 options=('!libtool')
-source=(http://curl.haxx.se/download/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('3dda78c4a808d9a779dc3a2ae81b47d8')
-sha1sums=('89215fc4c4cd1e42134d6117255c401372e628de')
+source=("http://curl.haxx.se/download/${pkgname}-${pkgver}.tar.bz2"
+        'm4-typo.patch')
+md5sums=('3dda78c4a808d9a779dc3a2ae81b47d8'
+         '4e2737ddc209d2d1990890d3a9dc7dcf')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -p1 -i ${srcdir}/m4-typo.patch || return 1
   ./configure \
   	--with-random=/dev/urandom \
 	--prefix=/usr \
@@ -27,7 +29,7 @@
 	--disable-ldap \
 	--enable-manual \
 	--enable-versioned-symbols \
-	--with-ca-path=/etc/ssl/certs \
+	--with-ca-bundle=/etc/ssl/certs/ca-certificates.crt \
 	--without-libidn || return 1
   make || return 1
 }

Added: m4-typo.patch
===================================================================
--- m4-typo.patch	                        (rev 0)
+++ m4-typo.patch	2010-04-07 20:26:53 UTC (rev 76122)
@@ -0,0 +1,13 @@
+diff --git a/docs/libcurl/libcurl.m4 b/docs/libcurl/libcurl.m4
+index ce8e476..50dc20d 100644
+--- a/docs/libcurl/libcurl.m4
++++ b/docs/libcurl/libcurl.m4
+@@ -198,7 +198,7 @@ x=CURLOPT_VERBOSE;
+ 
+ 	      # We don't have --protocols, so just assume that all
+ 	      # protocols are available
+-	      _libcurl_protocols="HTTP FTP FILE TELNET LDAP DICT TFTP
++	      _libcurl_protocols="HTTP FTP FILE TELNET LDAP DICT TFTP"
+ 
+ 	      if test x$libcurl_feature_SSL = xyes ; then
+ 	         _libcurl_protocols="$_libcurl_protocols HTTPS"




More information about the arch-commits mailing list